function [ J ] = evaluate_jacobian_of_residual( x, lambda, c, A, b, t )
%EVALUATE_JACOBIAN_OF_RESIDUAL Summary of this function goes here
%   Detailed explanation goes here

primal_size = size(x, 1);

J = [speye(primal_size) -A; sparse(diag(lambda))*A' sparse(diag(A'*x-b))];

end

